package ca.recrown.islandsurvivalcraft.Types;

import java.util.Objects;

public class Point2 {
    public int x, y;

    public Point2(int x, int y) {
        this.x = x;
        this.y = y;
    }

    public Point2() {
        this(0, 0);
    }

    @Override
    public boolean equals(Object obj) {
        if (obj instanceof Point2) {
            Point2 p = (Point2) obj;
            return p.x == this.x && p.y == this.y;
        }
        return false;
    }

    @Override
    public int hashCode() {
        return Objects.hash(x, y);
    }
}